..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

=================
fluid.initializer
=================

.. _api_fluid_initializer_Constant:

Constant
--------

..  autoclass:: paddle.fluid.initializer.Constant
    :members:
    :noindex:

.. _api_fluid_initializer_Uniform:

Uniform
-------

..  autoclass:: paddle.fluid.initializer.Uniform
    :members:
    :noindex:

.. _api_fluid_initializer_Normal:

Normal
------

..  autoclass:: paddle.fluid.initializer.Normal
    :members:
    :noindex:

.. _api_fluid_initializer_Xavier:

Xavier
------

..  autoclass:: paddle.fluid.initializer.Xavier
    :members:
    :noindex:

.. _api_fluid_initializer_Bilinear:

Bilinear
--------

..  autoclass:: paddle.fluid.initializer.Bilinear
    :members:
    :noindex:

.. _api_fluid_initializer_MSRA:

MSRA
----

..  autoclass:: paddle.fluid.initializer.MSRA
    :members:
    :noindex:

.. _api_fluid_initializer_force_init_on_cpu:

force_init_on_cpu
-----------------

..  autofunction:: paddle.fluid.initializer.force_init_on_cpu
    :noindex:

.. _api_fluid_initializer_init_on_cpu:

init_on_cpu
-----------

..  autofunction:: paddle.fluid.initializer.init_on_cpu
    :noindex:

.. _api_fluid_initializer_ConstantInitializer:

ConstantInitializer
-------------------

..  autoclass:: paddle.fluid.initializer.ConstantInitializer
    :members:
    :noindex:

.. _api_fluid_initializer_UniformInitializer:

UniformInitializer
------------------

..  autoclass:: paddle.fluid.initializer.UniformInitializer
    :members:
    :noindex:

.. _api_fluid_initializer_NormalInitializer:

NormalInitializer
-----------------

..  autoclass:: paddle.fluid.initializer.NormalInitializer
    :members:
    :noindex:

.. _api_fluid_initializer_XavierInitializer:

XavierInitializer
-----------------

..  autoclass:: paddle.fluid.initializer.XavierInitializer
    :members:
    :noindex:

.. _api_fluid_initializer_BilinearInitializer:

BilinearInitializer
-------------------

..  autoclass:: paddle.fluid.initializer.BilinearInitializer
    :members:
    :noindex:

.. _api_fluid_initializer_MSRAInitializer:

MSRAInitializer
---------------

..  autoclass:: paddle.fluid.initializer.MSRAInitializer
    :members:
    :noindex:

